FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

List consents

List consents belonging to a client.

AI Actions
GET
/v1/consent

List consents belonging to a client.

Authorization

Token_header_Authorization api:user.read
AuthorizationBearer <token>

In: header

Scope: api:user.read

Query Parameters

end_user_idstring

The ID of the end user to list consents for

activeboolean

Filter to include only active or inactive (i.e. revoked or expired) consents

Response Body

application/json

curl -X GET "https://api.fiskil.com/v1/consent?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5&active=true"
[
  {
    "account_ids": [
      "1234567890",
      "1234567891"
    ],
    "active": true,
    "app_logo": "https://acme.com/app-logo.png",
    "app_name": "MyCoolApp",
    "arrangement_id": "94549a73-a554-4b76-b824-d96898829751",
    "created_at": "2021-03-18T02:46:42Z",
    "duration": 7776000,
    "end_user_email": "tony.stark@example.com",
    "end_user_id": "482c0e2b-5866-46b1-b795-220b7bba45b5",
    "expires_at": "2023-01-01T10:42:40Z",
    "institution_id": "11",
    "institution_logo": "https://example.com/images/gringotts-logo.png",
    "institution_name": "Gringgotts",
    "institution_type": "banking",
    "last_accessed": "2023-01-02T10:42:42Z",
    "last_consent": "2023-01-01T10:42:40Z",
    "permissions": [
      "accounts",
      "balances",
      "transactions"
    ],
    "termination_reason": "Expired or Revoked"
  },
  {
    "account_ids": [
      "1234567890",
      "1234567891"
    ],
    "active": true,
    "app_logo": "https://acme.com/app-logo.png",
    "app_name": "MyCoolApp",
    "arrangement_id": "94549a73-a554-4b76-b824-d96898829751",
    "created_at": "2021-03-18T02:46:42Z",
    "duration": 7776000,
    "end_user_email": "tony.stark@example.com",
    "end_user_id": "482c0e2b-5866-46b1-b795-220b7bba45b5",
    "expires_at": "2023-01-01T10:42:40Z",
    "institution_id": "11",
    "institution_logo": "https://example.com/images/gringotts-logo.png",
    "institution_name": "Gringgotts",
    "institution_type": "banking",
    "last_accessed": "2023-01-02T10:42:42Z",
    "last_consent": "2023-01-01T10:42:40Z",
    "permissions": [
      "accounts",
      "balances",
      "transactions"
    ],
    "termination_reason": "Expired or Revoked"
  },
  {
    "account_ids": [
      "1234567890",
      "1234567891"
    ],
    "active": true,
    "app_logo": "https://acme.com/app-logo.png",
    "app_name": "MyCoolApp",
    "arrangement_id": "94549a73-a554-4b76-b824-d96898829751",
    "created_at": "2021-03-18T02:46:42Z",
    "duration": 7776000,
    "end_user_email": "tony.stark@example.com",
    "end_user_id": "482c0e2b-5866-46b1-b795-220b7bba45b5",
    "expires_at": "2023-01-01T10:42:40Z",
    "institution_id": "11",
    "institution_logo": "https://example.com/images/gringotts-logo.png",
    "institution_name": "Gringgotts",
    "institution_type": "banking",
    "last_accessed": "2023-01-02T10:42:42Z",
    "last_consent": "2023-01-01T10:42:40Z",
    "permissions": [
      "accounts",
      "balances",
      "transactions"
    ],
    "termination_reason": "Expired or Revoked"
  },
  {
    "account_ids": [
      "1234567890",
      "1234567891"
    ],
    "active": true,
    "app_logo": "https://acme.com/app-logo.png",
    "app_name": "MyCoolApp",
    "arrangement_id": "94549a73-a554-4b76-b824-d96898829751",
    "created_at": "2021-03-18T02:46:42Z",
    "duration": 7776000,
    "end_user_email": "tony.stark@example.com",
    "end_user_id": "482c0e2b-5866-46b1-b795-220b7bba45b5",
    "expires_at": "2023-01-01T10:42:40Z",
    "institution_id": "11",
    "institution_logo": "https://example.com/images/gringotts-logo.png",
    "institution_name": "Gringgotts",
    "institution_type": "banking",
    "last_accessed": "2023-01-02T10:42:42Z",
    "last_consent": "2023-01-01T10:42:40Z",
    "permissions": [
      "accounts",
      "balances",
      "transactions"
    ],
    "termination_reason": "Expired or Revoked"
  }
]

Was this page helpful?

Create auth sessionRevoke consent